Bug 1207224 - riemann-c-client in EPEL7
Summary: riemann-c-client in EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: riemann-c-client
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Czanik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-30 13:16 UTC by Marc Fournier
Modified: 2015-05-14 20:09 UTC (History)
4 users (show)

Fixed In Version: riemann-c-client-1.6.1-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 11:17:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Marc Fournier 2015-03-30 13:16:10 UTC
Hello,

Would it be possible to make riemann-c-client available in EPEL7 ?

All the build dependencies are already available on this platform. The package available in https://copr.fedoraproject.org/coprs/czanik/syslog-ng36epel6/builds/ has a couple of improvements over the version in EPEL and rebuilds perfectly on EL7.

Thanks a lot !

Comment 1 Gergely Nagy 2015-03-30 13:37:53 UTC
FWIW, CzP's repository has riemann-c-client 1.2.1, while upstream is at 1.5.0. 

It would be great if the new upstream could be packaged for EPEL, because that has TLS support (via GnuTLS 3.3+).

Comment 2 Peter Czanik 2015-03-30 15:05:38 UTC
I can't give you time estimation, when I'll get there (I'll be off-line for a week due to holidays), but once I get back I'll do this.
First I'll need to update the package in Rawhide. Once that ready, I can build it for EPEL7. The reason is the EPEL packaging guideline: once a version is there, it can't easily be updated (if at all).

Comment 3 Peter Czanik 2015-03-31 11:18:57 UTC
Gergely Nagy (riemann-c-client upstream developer) will try to lower the GnuTLS requirements which are currently not met neither on EL6 nor on EL7.

Comment 4 Gergely Nagy 2015-04-22 11:53:09 UTC
Another update: I just pushed a patchset to riemann-c-client master that lowers the GnuTLS requirement to 2.8+ (AFAIK EPEL6 has 2.8.5). I'll do an 1.6.0 release either today or tomorrow.

Comment 5 Peter Czanik 2015-04-24 15:24:55 UTC
riemann-c-client 1.6.1 was released, which made it possible to compile it with GnuTLS even on RHEL6: https://github.com/algernon/riemann-c-client/releases

I made two koji builds (rawhide and EPEL7) if you want to test it:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9559651
http://koji.fedoraproject.org/koji/taskinfo?taskID=9559667

Comment 6 Peter Czanik 2015-04-29 11:17:21 UTC
After a few additional fixes the riemann-c-client package is now committed and built for rawhide and EPEL7.

For the impatient here are the koji links:
rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=9596027
EPEL7: https://koji.fedoraproject.org/koji/taskinfo?taskID=9596334

Please let me know, how this package works for you (not just failures...)!

Comment 7 Fedora Update System 2015-05-08 09:12:51 UTC
riemann-c-client-1.6.1-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/riemann-c-client-1.6.1-4.el7

Comment 8 Fedora Update System 2015-05-14 20:09:17 UTC
riemann-c-client-1.6.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.